%define	name	liferea
%define version 1.10.19
%define release %mkrel 1


Summary:	RSS/RDF Feed Reader For GTK+
Summary(de):	RSS/RDF Feedleser für GTK+
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Networking/News
URL:		http://liferea.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		%{name}-%{version}.tar.xz
Source1:	liferea.desktop
Patch0:		liferea-1.10.2-drop-commented-req.patch
#-------------------------------------------
BuildRequires: intltool
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}peas-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: webkitgtk3-devel
#-------------------------------------------
Requires:	gsettings-desktop-schemas

Obsoletes: 	%{name} < %version


%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%description -l de
Liferea: Zeigt Newsfeeds in den gängigen Syndication-Formaten an, lässt 
sich über Filter-Skripte an die eigenen Bedürfnisse anpassen.

%prep
%setup -qn %{name}-%{version}
%apply_patches



%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/liferea.desktop

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 pixmaps/48x48/liferea.png %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%post
%update_icon_cache hicolor
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
%clean_icon_cache hicolor
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%_mandir/man1/*
%lang(pl) %_mandir/pl/man1/liferea.1*
%{_libdir}/liferea/girepository-1.0/Liferea-3.0.typelib
%{_libdir}/liferea/plugins/gnome-keyring.plugin
%{_libdir}/liferea/plugins/gnome-keyring.py
%{_libdir}/liferea/plugins/media-player.plugin
%{_libdir}/liferea/plugins/media-player.py
%{_datadir}/glib-2.0/schemas/net.sf.liferea.gschema.xml
%{_datadir}/GConf/gsettings/liferea.convert
%{_datadir}/appdata/liferea.appdata.xml


%changelog
* Mon Nov 28 2016 adrianomorselli <adrianomorselli> 1.10.19-1uplos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 1.10.19-1pclos2016
- update

* Wed Nov 04 2015 bb <bb> 1.10.17-1pclos2015
- update

* Thu Jul 16 2015 bb <bb> 1.10.16-1pclos2015
- update

